import * as types from "../constants/actionTypes";

const initState = {
	inputData: "",
	list: []
};

export default (state = initState, { type, payload }) => {
	switch (type) {
		case types.CHANGE_INPUT_VALUE: {
			return {
				...state,
				inputData: payload
			};
		}
		case types.ADD_TO_LIST: {
			const newData = {
				value: state.inputData,
				edit: false,
				id: new Date().getTime()
			};

			return {
				...state,
				inputData: "",
				list: state.list.concat(newData)
			};
		}
		case types.TOGGLE_EDIT_FIELD: {
			console.log("TOGGLE_EDIT_FIELD", payload);

			const list = state.list.map(el => (el.id === payload ? { ...el, edit: !el.edit } : el));

			// const list = state.list.map(el => {
			// 	if(el.id === payload) {
			// 		return {...el, edit: !el.edit}
			// 	} else {
			// 		return el
			// 	}
			// })

			return {
				...state,
				list
			};
		}

		case types.CHANGE_LIST_VALUE: {
			const { id, value } = payload;
			const list = state.list.map(el => (el.id === id ? { ...el, value: value } : el));

			return { ...state, list };
		}

		case types.DELETE_ITEM_LIST: {
			const list = state.list.filter(el => el.id !== payload);

			return { ...state, list };
		}

		default:
			return state;
	}
};
