import React, { Component } from "react";
import { bindActionCreators } from "redux";
import { connect } from "react-redux";

import Page from "../components/page";
import * as actions from "../actions/todo";
import Header from "../components/header";

class App extends Component {
	render() {
		return (
			<div>
				<Header />
				<Page {...this.props} />
			</div>
		);
	}
}

const mapStateToProps = state => ({
	inputData: state.todo.inputData,
	list: state.todo.list
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(App);
