import React, { Component } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";

import { takeInputValue, getWeather } from "../actions/weather";

import Header from "../components/header";

class FetchPage extends Component {
	change = e => {
		const { takeInputValue } = this.props;
		takeInputValue(e.target.value);
	};

	click = () => {
		const { city, getWeather } = this.props;
		getWeather(city);
	};

	render() {
		const { weather, error } = this.props;

		return (
			<div>
				<Header />

				<input type="text" onChange={this.change} />
				<button onClick={this.click}>SHOW</button>

				<div>{weather && weather.location && weather.location.city}</div>
				<div>{error && error}</div>
			</div>
		);
	}
}

const mapStateToProps = state => ({
	city: state.w.city,
	weather: state.w.weather,
	error: state.w.error
});

const mapDispatchToProps = dispatch => bindActionCreators({ takeInputValue, getWeather }, dispatch);

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(FetchPage);
